diff --git a/tests/data/toulouse_maelis/ActivityService.wsdl b/tests/data/toulouse_maelis/ActivityService.wsdl
index b67efdc7..056d3ea6 100644
--- a/tests/data/toulouse_maelis/ActivityService.wsdl
+++ b/tests/data/toulouse_maelis/ActivityService.wsdl
@@ -676,127 +1251,82 @@
 	- lettre = présence à l'unité correspondant à cette lettre</wsdl:documentation>
       <wsdl:input message="tns:updateWeekCalendar" name="updateWeekCalendar">
     </wsdl:input>
       <wsdl:output message="tns:updateWeekCalendarResponse" name="updateWeekCalendarResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="readActivityList">
-<wsdl:documentation> Méthode de lecture des paramétrages des activités 
- Cette méthode permet la lecture des paramétrages des activités, des unités et des lieux afin de fournir les informations nécessaires pour les inscriptions et la mise à jour des calendriers.
- Un paramètre optionnel en entrée, numéro d'un enfant, est utilisé afin de pouvoir filtrer les activités, les unités et les lieux par rapport à cet enfant et l'établissement de son inscription scolaire. 
- Les activités qui sont renvoyées sont celles ouvertes sur la plage de date passée en paramètre. 
- Les différents paramétrages concernant la publication des activités/unités sont renvoyées par la méthode permettant ainsi côté GRC la gestion des modalités d'inscription 
-
- ------------------------------- 
- schoolyear : année scolaire (obligatoire)
- dateStartCalend : date de début des jours du calendrier (obligatoire)
- dateEndCalend : date de fin des jours du calendrier (obligatoire)
- numPerson : numéro de l'enfant (facultatif)
-
- ------------------------------- 
- Traitement :  
- Les activités renvoyées sont celles qui sont publiables (en lecture ou écriture) et qui correspondent à l'année scolaire passée en paramètre ou n'ont pas d'année scolaire paramétrée.
-
- Les unités renvoyées sont celles qui sont publiables (en lecture ou écriture) pour les inscriptions
- 
-Lorsque le numéro de l'enfant est fourni en paramètre d'entrée, les activités/unités/lieux renvoyés sont filtrés par rapport aux paramétrages de contrôle de tranche d'âge, de scolarité et aux associations des établissement aux activités/unités/lieux</wsdl:documentation>
-      <wsdl:input message="tns:readActivityList" name="readActivityList">
+    <wsdl:operation name="deleteChildUnitBasket">
+<wsdl:documentation> Méthode qui supprime une ligne du panier</wsdl:documentation>
+      <wsdl:input message="tns:deleteChildUnitBasket" name="deleteChildUnitBasket">
     </wsdl:input>
-      <wsdl:output message="tns:readActivityListResponse" name="readActivityListResponse">
+      <wsdl:output message="tns:deleteChildUnitBasketResponse" name="deleteChildUnitBasketResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="readChildMonthPlanning">
-<wsdl:documentation> Méthode de lecture du calendrier mensuel d'un enfant
-
- ------------------------------- 
- numPerson : numéro de personne (obligatoire)
- idActivity : identifiant de l'activité (filtre facultatif)
- idUnit : identifiant de l'unité (filtre facultatif)
- year : année du calendrier (obligatire)
- numMonth : numéro du mois à récupérer  (Mois 1 à 12) (obligatoire)
-
- ------------------------------- 
- Traitement :
-	L'identifiant de l'activité et de l'unité sont facultatifs. 
-	Les calendriers renvoyés sont filtrés par rapport aux identifiants fournis.
-	Si inscription existe et calendrier prévisionnel existe
-		Retour ResultCalendBean
-	Sinon	
-		Retour erreur « Non inscrit »</wsdl:documentation>
-      <wsdl:input message="tns:readChildMonthPlanning" name="readChildMonthPlanning">
+    <wsdl:operation name="getFamilyList">
+<wsdl:documentation> Méthode de recherche des familles  
+ Les critères disponibles sont les suivants :  
+	-	Numéro de famille  
+	-	Nom du RL1  
+	-	Prénom du RL1  
+	-	Numéro de l'enfant  
+	-	Nom de l'enfant  
+	-	Prénom de l'enfant  
+	-	Plage de date de naissance  
+	-	Plage de date des activités/inscriptions   
+	-	Nature des activités (appel de la méthode getSelectionCriteriaForFamilylList) 
+	-	Année scolaire  
+ Il faut fournir obligatoirement un des critères suivants :  
+	-	Le numéro de famille  
+	-   Le numéro de l'enfant  
+	-	Le nom de famille  
+	-	Le nom de l'enfant  
+	-	La date de naissance de l'enfant  
+ Les autres critères sont facultatifs</wsdl:documentation>
+      <wsdl:input message="tns:getFamilyList" name="getFamilyList">
     </wsdl:input>
-      <wsdl:output message="tns:readChildMonthPlanningResponse" name="readChildMonthPlanningResponse">
+      <wsdl:output message="tns:getFamilyListResponse" name="getFamilyListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
-    </wsdl:fault>
-      <wsdl:fault message="tns:MaelisSiteException" name="MaelisSiteException">
-    </wsdl:fault>
-      <wsdl:fault message="tns:MaelisFamilyException" name="MaelisFamilyException">
     </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="updateScheduleCalendars">
-<wsdl:documentation> Méthode de mise à jour du calendrier prévisionnel 
- Méthode permettant une mise à jour de masse pour une liste de dates
- La mise à jour est effectuée pour toutes les requêtes sans erreur et une erreur est renvoyée avec la liste des requêtes qui posent problème le cas échéant.
-
- ------------------------------- 
-	unitPersonDayInfoList : liste des jours du calendrier (obligatoire)
-		- numPerson : numéro de personne (obligatoire)
-		- idAct : identifiant de l'activité (obligatoire)
- 		- idUni : identifiant de l'unité (obligatoire)
-		- idPlace : identifiant de l'unité (obligatoire)
-		- date : date du jour dans le calendrier (obligatoire)
-		- action : action sur le calendrier enum DayInfoAction {ADD_PRES_PREVI, DEL_PRES_PREVI} 
-
- ------------------------------- 
- Traitement : 
-	Pour chaque élément de la liste 
-		Si l'enfant est inscrit à l'unité
-			Si l'enfant est inscrit au lieu
-				Si action = ajout de présence
-					Si le calendrier prévisionnel n'existe pas
-						Création du calendrier
-					Sinon si la présence prévisionnelle existe déjà
-						Retour erreur « Il y a déjà un prévisionnel à cette unité pour cet enfant »
-					Sinon si pas de présence réelle existante 
-						Mise à jour du calendrierSinon retour erreur « présence réelle déjà existante »
-				Si action = suppression de présence
-					Si le calendrier prévisionnel existe
-						Si présence prévisionnelle existante
-							Mise à jour calendrier
-						Sinon retour erreur « pas de présence »
-					Sinon retour erreur « Il n'y a pas de prévisionnel pour cette unité »
-			Sinon 	Retour erreur « non inscrit au lieu »	
-		Sinon 	Retour erreur « non inscrit à l'unité »
-
- ------------------------------ 
- Retour : 
-		UpdateScheduleCalendarsResultBean
-			result : résultat de l'opération : vrai si aucune erreur, faux si une ou plusieurs erreurs rencontrées avec la liste des mises à jour qui n'ont pas été effectuées</wsdl:documentation>
-      <wsdl:input message="tns:updateScheduleCalendars" name="updateScheduleCalendars">
+    <wsdl:operation name="getPersonCatalogueActivity">
+<wsdl:documentation> Méthode qui renvoie le catalogue des activités d'un enfant de la famille </wsdl:documentation>
+      <wsdl:input message="tns:getPersonCatalogueActivity" name="getPersonCatalogueActivity">
     </wsdl:input>
-      <wsdl:output message="tns:updateScheduleCalendarsResponse" name="updateScheduleCalendarsResponse">
+      <wsdl:output message="tns:getPersonCatalogueActivityResponse" name="getPersonCatalogueActivityResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
   </wsdl:portType>
   <wsdl:binding name="ActivityServiceSoapBinding" type="tns:ActivityService">
     <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
-    <wsdl:operation name="updateRealCalendars">
+    <wsdl:operation name="updateChildUnitBasket">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="updateChildUnitBasket">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="updateChildUnitBasketResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getPersonScheduleList">
       <soap:operation soapAction="" style="document"/>
-      <wsdl:input name="updateRealCalendars">
+      <wsdl:input name="getPersonScheduleList">
         <soap:body use="literal"/>
       </wsdl:input>
-      <wsdl:output name="updateRealCalendarsResponse">
+      <wsdl:output name="getPersonScheduleListResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisActivityException">
         <soap:fault name="MaelisActivityException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="getNbAvailablePlacesPortalOther">
       <soap:operation soapAction="" style="document"/>
@@ -805,76 +1335,214 @@ Lorsque le numéro de l'enfant est fourni en paramètre d'entrée, les activité
       </wsdl:input>
       <wsdl:output name="getNbAvailablePlacesPortalOtherResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisActivityException">
         <soap:fault name="MaelisActivityException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="closeSubscribe">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="closeSubscribe">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="closeSubscribeResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getFamilyChilds">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="getFamilyChilds">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="getFamilyChildsResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="validateBasket">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="validateBasket">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="validateBasketResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="deleteBasket">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="deleteBasket">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="deleteBasketResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getFamilyBasket">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="getFamilyBasket">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="getFamilyBasketResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="addChildUnitLstWait">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="addChildUnitLstWait">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="addChildUnitLstWaitResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getPersonUnitInfo">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="getPersonUnitInfo">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="getPersonUnitInfoResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="updateBasketTime">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="updateBasketTime">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="updateBasketTimeResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getUnitByActivity">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="getUnitByActivity">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="getUnitByActivityResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getSelectionCriteriaForFamilyList">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="getSelectionCriteriaForFamilyList">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="getSelectionCriteriaForFamilyListResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="isWSRunning">
       <soap:operation soapAction="" style="document"/>
       <wsdl:input name="isWSRunning">
         <soap:body use="literal"/>
       </wsdl:input>
       <wsdl:output name="isWSRunningResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisActivityException">
         <soap:fault name="MaelisActivityException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="addChildUnitBasket">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="addChildUnitBasket">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="addChildUnitBasketResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="updatePersonSchedule">
+      <soap:operation soapAction="" style="document"/>
+      <wsdl:input name="updatePersonSchedule">
+        <soap:body use="literal"/>
+      </wsdl:input>
+      <wsdl:output name="updatePersonScheduleResponse">
+        <soap:body use="literal"/>
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal"/>
+      </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="updateWeekCalendar">
       <soap:operation soapAction="" style="document"/>
       <wsdl:input name="updateWeekCalendar">
         <soap:body use="literal"/>
       </wsdl:input>
       <wsdl:output name="updateWeekCalendarResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisActivityException">
         <soap:fault name="MaelisActivityException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="readActivityList">
+    <wsdl:operation name="deleteChildUnitBasket">
       <soap:operation soapAction="" style="document"/>
-      <wsdl:input name="readActivityList">
+      <wsdl:input name="deleteChildUnitBasket">
         <soap:body use="literal"/>
       </wsdl:input>
-      <wsdl:output name="readActivityListResponse">
+      <wsdl:output name="deleteChildUnitBasketResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisActivityException">
         <soap:fault name="MaelisActivityException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="readChildMonthPlanning">
+    <wsdl:operation name="getFamilyList">
       <soap:operation soapAction="" style="document"/>
-      <wsdl:input name="readChildMonthPlanning">
+      <wsdl:input name="getFamilyList">
         <soap:body use="literal"/>
       </wsdl:input>
-      <wsdl:output name="readChildMonthPlanningResponse">
+      <wsdl:output name="getFamilyListResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisActivityException">
         <soap:fault name="MaelisActivityException" use="literal"/>
       </wsdl:fault>
-      <wsdl:fault name="MaelisSiteException">
-        <soap:fault name="MaelisSiteException" use="literal"/>
-      </wsdl:fault>
-      <wsdl:fault name="MaelisFamilyException">
-        <soap:fault name="MaelisFamilyException" use="literal"/>
-      </wsdl:fault>
     </wsdl:operation>
-    <wsdl:operation name="updateScheduleCalendars">
+    <wsdl:operation name="getPersonCatalogueActivity">
       <soap:operation soapAction="" style="document"/>
-      <wsdl:input name="updateScheduleCalendars">
+      <wsdl:input name="getPersonCatalogueActivity">
         <soap:body use="literal"/>
       </wsdl:input>
-      <wsdl:output name="updateScheduleCalendarsResponse">
+      <wsdl:output name="getPersonCatalogueActivityResponse">
         <soap:body use="literal"/>
       </wsdl:output>
       <wsdl:fault name="MaelisActivityException">
         <soap:fault name="MaelisActivityException" use="literal"/>
       </wsdl:fault>
     </wsdl:operation>
   </wsdl:binding>
   <wsdl:service name="ActivityService">
